# Enterprises: acknowledgeNotificationSet

> [!NOTE]
> **Note:** Requires [authorization](https://developers.google.com/android/work/play/emm-api/v1/enterprises/acknowledgeNotificationSet#auth).

Acknowledges notifications that were received from
Enterprises.PullNotificationSet to prevent subsequent calls from returning
the same notifications.

## Request

### HTTP request

```
POST https://www.googleapis.com/androidenterprise/v1/enterprises/acknowledgeNotificationSet
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Optional query parameters** |||
| `notificationSetId` | `string` | The notification set ID as returned by Enterprises.PullNotificationSet. This must be provided. |

### Authorization

This request requires authorization with the following scope:

| Scope |
|---|
| `https://www.googleapis.com/auth/androidenterprise` |

For more information, see the [authentication and authorization](https://developers.google.com/android/work/play/emm-api/v1/how-tos/authorizing) page.

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns an empty response body.